<template>
	<div id="genres-list">
		<genre-one
			:genres="genreListInfo"
		/>
	</div>
</template>

<script>
import genreOne from "@/components/page-parts/genres-page/genre-one";
export default {
	components: {
		genreOne
	},
	data() {
		return {
			genreListInfo: [
				{id: 1, imgUrl: "Romance.svg", genreName: "Romance", color: "linear-gradient(109.31deg, #FD093F 2.4%, #F383F1 100%);"},
				{id: 2, imgUrl: "Drama.svg", genreName: "Drama", color: "linear-gradient(114.5deg, #0FFFDA 2.22%, #3CDB77 68.84%);"},
				{id: 3, imgUrl: "Historical.svg", genreName: "Historical", color: "linear-gradient(109.31deg, #B936FF 2.4%, #57DEDA 100%);"},
				{id: 4, imgUrl: "Action.svg", genreName: "Action", color: "linear-gradient(109.31deg, #FD093F 2.4%, #FB1378 2.41%, #FCCB1A 100%);"},
				{id: 5, imgUrl: "Sci-fi.svg", genreName: "Sci-fi", color: "linear-gradient(109.31deg, #FF6472 2.4%, #FDA75D 100%);"},
				{id: 6, imgUrl: "Horror.svg", genreName: "Horror", color: "linear-gradient(110.16deg, #13547A 2.37%, #80D0C7 96.77%);"},
				{id: 7, imgUrl: "Comedy.svg", genreName: "Comedy", color: "linear-gradient(109.93deg, #FFF77B 2.37%, #FFBF42 50%);"},
				{id: 8, imgUrl: "Documentory.svg", genreName: "Documentory", color: "linear-gradient(109.31deg, #1FA2FF 2.4%, #1FA2FF 2.41%, #1F535C 97.46%);"},
			],
		}
	},
	name: "genresList"
}
</script>

<style scoped>
#genres-list {
	display: flex;
	flex-wrap: wrap;
	justify-content: space-between;
	row-gap: 27px;
}
</style>